=== debian/changelog ===
macromoleculebuilder (3.01+2.g6f0ab618+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #962162)

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Jun 2020 06:19:43 -0400
