=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,pretty=describe,repack,repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/^v(\d+\.\d+)\./$1+/" \
 https://github.com/samuelflores/MMB HEAD
