## macromoleculebuilder 3.2%2Bdfsg

=== debian/changelog ===
macromoleculebuilder (3.2+dfsg-2+deb11u1) bullseye; urgency=medium

  * Build depends on docbook-xsl (Closes: #1027828)

 -- Andrius Merkys <merkys@debian.org>  Wed, 04 Jan 2023 07:13:05 -0500

macromoleculebuilder (3.2+dfsg-2) unstable; urgency=medium

  * Adding missing build dependency on docbook-xml.
  * Removing prebuilt files from parameterization/build/ before build.
  * Overriding source-contains-cmake-cache-file lintian tag for now.

 -- Andrius Merkys <merkys@debian.org>  Wed, 16 Dec 2020 08:42:34 -0500

macromoleculebuilder (3.2+dfsg-1) unstable; urgency=medium

  * New upstream release 3.2+dfsg

 -- Andrius Merkys <merkys@debian.org>  Thu, 23 Jul 2020 08:54:12 -0400
