## macromoleculebuilder 3.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,15 @@
 PROJECT(MMB)
 
 SET( MMB_MAJOR_VERSION 3 )
-SET( MMB_MINOR_VERSION 01)
+SET( MMB_MINOR_VERSION 2 )
 SET( MMB_PATCH_VERSION 0 )
 
 SET(CMAKE_BUILD_TYPE "Release" CACHE STRING "This is a Release build by default" )
 #SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
 #SET(CMAKE_GENERATOR "Xcode" CACHE STRING "Since you on a Mac, we assume you want to use Xcode" FORCE) 
 
-#SET(Build_NtC            FALSE CACHE BOOL 
-        #"Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
+SET(Build_NtC            TRUE  CACHE BOOL 
+        "Build NtC features of MMB. This greatly increases the size of the BiopolymerClassContainer object in memory")
 SET(Build_CCP4           FALSE CACHE BOOL 
         "Build CCP4 maps support features for MMB?")
 SET(BUILD_MMB_SHARED_LIB TRUE CACHE BOOL 
@@ -152,12 +152,6 @@
     ${PROJECT_SOURCE_DIR}/src/BiopolymerClass.cpp  
     #//${PROJECT_SOURCE_DIR}/src/elliptic_integral.cpp
     ${PROJECT_SOURCE_DIR}/src/UnitCellParameters.cpp  
-    #IF (Build_NtC)
-        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
-        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
-        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
-        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
-    #ENDIF(Build_NtC)
     # This should remain commented out:
     #${PROJECT_SOURCE_DIR}/src/NtCInteractionParameterReader.cpp 
     ${PROJECT_SOURCE_DIR}/src/AtomSpringContainer.cpp  
@@ -183,6 +177,16 @@
     ${PROJECT_SOURCE_DIR}/src/PeriodicPdbAndEnergyWriter.cpp
     )
 
+IF (Build_NtC)
+    SET(MMB_LIBRARY_SOURCE_FILES
+        ${MMB_LIBRARY_SOURCE_FILES}
+        # SCF manually commented these 3  out. Once Peter fixes the issue with the 2D arrays in BiopolymerClassContainer, we can put them back in. Or have a build varaible to determine whether to build these:
+        ${PROJECT_SOURCE_DIR}/src/NTC_PARAMETER_READER.cpp
+        ${PROJECT_SOURCE_DIR}/src/NtCClassContainer.cpp
+        ${PROJECT_SOURCE_DIR}/src/NtCForces.cpp
+        )
+ENDIF(Build_NtC)
+
 SET(MMB_SOURCE_FILES
     ${PROJECT_SOURCE_DIR}/src/RNABuilder.cpp  )
 
@@ -298,5 +302,3 @@
 
 ENDIF (BUILD_MMB_SHARED_LIB)
 
-IF (BUILD_MMB_SHARED_EXEC)
-    # Link with shared (dynamic) library
