=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  asciidoc-base,
  cmake,
  debhelper-compat (= 12),
+ docbook-xml,
+ docbook-xsl,
  libopenmm-dev,
  libseqan2-dev,
  libsimbody-dev,
@@ -23,7 +25,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmmblib3.01 (= ${binary:Version}),
+ libmmblib3.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files of MacroMoleculeBuilder
  MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
@@ -33,7 +35,7 @@
  .
  This package contains the development files.
 
-Package: libmmblib3.01
+Package: libmmblib3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
