=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,14 @@
 	dh $@
 
 override_dh_auto_configure:
+	rm -rf parameterization/build
 	dh_auto_configure -- \
 		-DOpenMM_INCLUDE_DIR=/usr/include \
 		-DCMAKE_CXX_FLAGS="-D BuildNtC -D USE_OPENMM $(CXXFLAGS)"
 
 override_dh_install:
 	dh_install
-	dh_install -plibmmblib3.01 debian/tmp/usr/lib/libMMBlib.so.* usr/lib/${DEB_HOST_MULTIARCH}
+	dh_install -plibmmblib3.2  debian/tmp/usr/lib/libMMBlib.so.* usr/lib/${DEB_HOST_MULTIARCH}
 	dh_install -plibmmblib-dev debian/tmp/usr/lib/libMMBlib.so   usr/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_installman:
