=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%macromoleculebuilder-$1.tar.gz%,repack,repacksuffix=+dfsg,dversionmangle=auto" \
 https://github.com/samuelflores/MMB/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
