=== debian/changelog ===
macromoleculebuilder (3.5+dfsg-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build-depend on docbook-xsl so that xsltproc doesn't try to access the
      Internet for the stylesheet. Works around #980930.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 08:43:25 -0800

macromoleculebuilder (3.5+dfsg-4) unstable; urgency=medium

  * Fixing arch: all builds.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Dec 2021 07:54:41 -0500

macromoleculebuilder (3.5+dfsg-3) unstable; urgency=medium

  * Adding missing build dependency on libstb-dev.

 -- Andrius Merkys <merkys@debian.org>  Wed, 08 Dec 2021 02:01:44 -0500

macromoleculebuilder (3.5+dfsg-2) unstable; urgency=medium

  * Removing unused lintian override.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Dec 2021 01:36:27 -0500

macromoleculebuilder (3.5+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * New upstream release 3.5+dfsg
  * Watching GitHub tags.
  * Removing Files-Excluded patterns which no longer match anything.
  * Specifying SimTKmolmodel for CMake.
  * Excluding only 3rdparty/openmm/ from the source tarball.
  * Adding a patch to fix the issue with Lepton location.
  * Adjusting package names due to soversion bump.
  * Ignoring not installed files.
  * Adding versioned depends on libsimtkmolmodel-dev.
  * Build-depends on gemmi-dev.
  * Adding copyright entry for 3rdparty/Lepton1.3/.

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Nov 2021 07:14:05 -0500

macromoleculebuilder (3.2+dfsg-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libopenmm7.6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:37:34 +0000

macromoleculebuilder (3.2+dfsg-2ubuntu1) hirsute; urgency=medium

  * Build-depend on docbook-xsl so that xsltproc doesn't try to access the
    internet for the stylesheet. Works around #980930.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 09 Feb 2021 22:51:59 -0500
