=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: macromoleculebuilder
 Priority: optional
 Section: science
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  asciidoc-base,
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
+ gemmi-dev,
  libopenmm-dev,
  libseqan2-dev,
  libsimbody-dev,
- libsimtkmolmodel-dev,
-Standards-Version: 4.5.0
+ libsimtkmolmodel-dev (>= 3.0.113~),
+ libstb-dev,
+ tao-pegtl-dev,
+ zlib1g-dev,
+Standards-Version: 4.6.0
 Homepage: https://simtk.org/projects/rnatoolbox
 Vcs-Browser: https://salsa.debian.org/debichem-team/macromoleculebuilder
 Vcs-Git: https://salsa.debian.org/debichem-team/macromoleculebuilder.git
@@ -25,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmmblib3.2 (= ${binary:Version}),
+ libmmblib3.5 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files of MacroMoleculeBuilder
  MacroMoleculeBuilder, previously known as RNABuilder, can be used for morphing,
@@ -35,7 +40,7 @@
  .
  This package contains the development files.
 
-Package: libmmblib3.2
+Package: libmmblib3.5
 Section: libs
 Architecture: any
 Multi-Arch: same
