=== debian/rules ===
#!/usr/bin/make -f

# Optimization causes segmentation faults, thus turning it off.
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -O0

export SimTK_INSTALL_DIR = /usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DOpenMM_INCLUDE_DIR=/usr/include \
		-DSimTKmolmodel=/usr \
		-DCMAKE_CXX_FLAGS="-D BuildNtC -D USE_OPENMM $(CXXFLAGS)"

override_dh_installman:
	a2x -d manpage -f manpage -D debian/tmp debian/MMB.1.asciidoc
	dh_installman
