## macromoleculebuilder 4.0.0%2Bdfsg

=== debian/changelog ===
macromoleculebuilder (4.0.0+dfsg-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:02:10 +0000

macromoleculebuilder (4.0.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062681

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:59:56 +0000

macromoleculebuilder (4.0.0+dfsg-3) unstable; urgency=medium

  * Fix gemmi 0.6.2 support (Closes: #1037463)
  * Update standards version to 4.6.2, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Fri, 23 Jun 2023 01:37:57 -0400

macromoleculebuilder (4.0.0+dfsg-2) unstable; urgency=medium

  * No-changes source-only upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Mon, 12 Dec 2022 04:04:16 -0500

macromoleculebuilder (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release 4.0.0+dfsg
  * Mark mmb-common as Multi-Arch: foreign.
  * Exclude whole 3dparty/ directory.
  * Drop no longer needed patches.
  * Install header files in libdevel package.
  * Adjust package names as libmmblib is renamed to libmmb.
  * Turn off Lepton support as OpenMM sources are excluded.

 -- Andrius Merkys <merkys@debian.org>  Mon, 05 Dec 2022 05:00:58 -0500

macromoleculebuilder (3.5+dfsg-6) unstable; urgency=medium

  * Drop forcing C++14 (Closes: #1011108).

 -- Andrius Merkys <merkys@debian.org>  Tue, 17 May 2022 02:01:32 -0400

macromoleculebuilder (3.5+dfsg-5) unstable; urgency=medium

  * Fix compatibility with Gemmi >= 0.5.3 (Closes: #1008380).
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Wed, 30 Mar 2022 06:37:26 -0400
